#
# spec file for package perl-SMS-Send-AU-MyVodafone
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-SMS-Send-AU-MyVodafone
Version:        1.04
Release:        5.1
License:        GPL+ or Artistic
%define cpan_name SMS-Send-AU-MyVodafone
Summary:        An SMS::Send driver for the myvodafone.com.au website
Url:            http://search.cpan.org/dist/SMS-Send-AU-MyVodafone/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/A/AD/ADAMK/SMS-Send-AU-MyVodafone-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl(Carp)
BuildRequires:  perl(IO::Socket::SSL) >= 0.97
BuildRequires:  perl(LWP) >= 5.69
BuildRequires:  perl(SMS::Send) >= 0.02
BuildRequires:  perl(WWW::Mechanize) >= 1.06
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Class::Adapter::Builder)
Requires:       perl(Carp)
Requires:       perl(IO::Socket::SSL) >= 0.97
Requires:       perl(LWP) >= 5.69
Requires:       perl(SMS::Send) >= 0.02
Requires:       perl(WWW::Mechanize) >= 1.06
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
the SMS::Send::AU::MyVodaphone manpage is an regional the SMS::Send manpage
driver for Australia that delivers messages via the the
http://myvodafone.com.au manpage website Web2TXT feature.

Using your phone number as a login, and your existing password, this driver
allows any Australian with a Vodafone to send SMS messages (with the
message cost added to your account).

Preparing to Use This Driver
    As well as setting up your myvodfone.com.au account and password, the
    Web2TXT feature requires acceptance of an additional disclaimer and
    conditions of use form.

    You 'must' manually accept this disclaimer and conditions before you
    will be able to use this driver.

    While we certainly could make the driver do it for you, acceptance of
    the terms of use implies you understand the cost structure and rules
    surrounding the use of the Web2TXT feature.

Disclaimer
    Other than dieing on encountering the terms of use form, no other
    protection is provided, and the authors of this driver take no
    responsibility for any costs accrued on your phone bill by using this
    module.

    Using this driver will cost you money. *YOU HAVE BEEN WARNED*

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes LICENSE README

%changelog
* Fri Jan 21 2011 coolo@novell.com
- initial package 1.04
  * created by cpanspec 1.78.03
